package com.inspect.metadata.eqpbook.service;

import com.inspect.metadata.eqpbook.domain.BasedataEqpBookModel;


import java.util.List;

public interface IBasedataEqpBookModelService {
    BasedataEqpBookModel selectBasedataEqpBookModelByEqpBookModelId(String modelId);

    List<BasedataEqpBookModel> selectBasedataEqpBookModelList(BasedataEqpBookModel eqpBookModel);

    int insertBasedataEqpBookModel(BasedataEqpBookModel eqpBookModel);

    int updateBasedataEqpBookModel(BasedataEqpBookModel eqpBookModel);

    int deleteBasedataEqpBookModelByEqpBookModelIds(String[] modelIds);

    int deleteBasedataEqpBookModelByEqpBookModelId(String modelId);
}
